Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.project/1 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.java.project.classpath.support
Class ProjectClassPathSupport

    java.lang.Object
      org.netbeans.spi.java.project.classpath.support.ProjectClassPathSupport

    public class ProjectClassPathSupport

extends Object

ProjectClassPathSupport is a support class for creating classpath based on the list of ant properties.

Since:
  org.netbeans.modules.java.project/1 1.3

Method Summary
`static ClassPathImplementation` | `createPropertyBasedClassPathImplementation(File projectFolder, PropertyEvaluator evaluator, String[] propertyNames)` Creates new classpath based on the ant property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createPropertyBasedClassPathImplementation

    public static ClassPathImplementation createPropertyBasedClassPathImplementation(File projectFolder,
                                                                                     PropertyEvaluator evaluator,
                                                                                     String[] propertyNames)

  Creates new classpath based on the ant property. The returned classpath listens on changes of property value.

  Parameters:
    `projectFolder` - `File` the project folder used to resolve relative paths
    `evaluator` - `PropertyEvaluator` used for obtaining the value of given property and listening on value changes.
    `propertyNames` - the names of ant properties the classpath will be build on, can't be or contain null. It can contain duplicates, in this case the duplicated property is used multiple times. The values of given properties are concatenated into a single path.
  Returns:
    an `ClassPathImplementation` based on the given ant properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.project/1 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.